<?xml version="1.0" encoding="UTF-8"?>
<refentry xmlns="http://docbook.org/ns/docbook" xmlns:xlink="http://www.w3.org/1999/xlink" xmlns:svg="http://www.w3.org/2000/svg" xmlns:ns5="http://www.w3.org/1999/xhtml" xmlns:mml="http://www.w3.org/1998/Math/MathML" xmlns:db="http://docbook.org/ns/docbook" version="5.0-subset Scilab" xml:id="Switch">
  <refnamediv>
    <refname>Switch</refname>
    <refpurpose>FIXME: provide information from the geneauto documentation.</refpurpose>
  </refnamediv>
  <refsection>
    <title>Block Screenshot</title>
    <para>
      <inlinemediaobject>
        <imageobject>
          <imagedata align="center" fileref="../../images/gif/Switch.gif" valign="middle"/>
        </imageobject>
      </inlinemediaobject>-->
    </para>
  </refsection>
  <refsection id="Contents_Switch">
    <title>Contents</title>
    <itemizedlist>
      <listitem>
        <para>
          <link linkend="Switch">Switch block</link>
        </para>
      </listitem>
      <listitem>
        <itemizedlist>
          <listitem>
            <para>
              <xref linkend="Description_Switch">Description</xref>
            </para>
          </listitem>
          <listitem>
            <para>
              <xref linkend="Interfacingfunction_Switch">Interfacing function</xref>
            </para>
          </listitem>
          <listitem>
            <para>
              <xref linkend="Computationalfunction_Switch">Computational function</xref>
            </para>
          </listitem>
          <listitem>
            <para>
              <xref linkend="SeeAlso_Switch">See also</xref>
            </para>
          </listitem>
          <listitem>
            <para>
              <xref linkend="Authors_Switch">Authors</xref>
            </para>
          </listitem>
        </itemizedlist>
      </listitem>
    </itemizedlist>
  </refsection>
  <refsection id="Description_Switch">
    <title>Description</title>
    <para>FIXME: provide information from the geneauto documentation.</para>
  </refsection>
  <refsection id="Interfacingfunction_Switch">
    <title>Interfacing function</title>
    <itemizedlist>
      <listitem>
        <para>macros/Switch.sci</para>
      </listitem>
    </itemizedlist>
  </refsection>
  <refsection id="Computationalfunction_Switch">
    <title>Computational function</title>
    <itemizedlist>
      <listitem>
        <para>src/c/bascr.c</para>
      </listitem>
    </itemizedlist>
  </refsection>
  <refsection id="SeeAlso_Switch">
    <title>See Also</title>
    <itemizedlist>
      <listitem>
        <para><link linkend="Switch">Switch</link> : corresponding scilab functionnality</para>
      </listitem>
    </itemizedlist>
  </refsection>
  <refsection id="Authors_Switch">
    <title>Authors</title>
    <para>
      <emphasis role="bold"/>
    </para>
    <itemizedlist>
      <listitem>
        <para><emphasis role="bold">Clément DAVID</emphasis> - Scilab Enterprises</para>
      </listitem>
    </itemizedlist>
  </refsection>
</refentry>
